Subject: bug#24518: 25.2.50; dired-mark-extension with prefix arg fails

From: Tino Calancha <[email-masked]>
Date: Sun, 25 Sep 2016 02:14:14 +0900 (JST)

On Sat, 24 Sep 2016, Eli Zaretskii wrote:

>> From: Andreas Schwab <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Sat, 24 Sep 2016 18:48:35 +0200
>>
>>> Like I said: it looks a kludge, but it definitely isn't an accident.
>>
>> What makes you that confident?  It look certainly like a
>> misunderstanding.
>>
>>> I suggested to replace 'P' with 'c' in the interactive spec, to make
>>> it less kludgey.
>>
>> "c" would make it non-optional, definitely not intented.
>>
>>>> That doesn't look like this was an intented feature (being
>>>> undocumented).
>>>
>>> It's documented, see the doc string.
>>
>> It isn't.  There is no occurence of "prefix" in the doc string.
>
> I believe my recent commit fixed all of the above
Yeah, you fixed something, and we are exactly in the same point
that before fixing such thing.  We didn't get something better.
The point here is that a Dired user would expect/wish that the
interactive call behaves differently.  I do.
Do you know how i noticed the bug?
Because i assumed that a prefix argument will unmark as other
Dired marks, and i got an error (!).
The right thing here is to unmark with a prefix argument: other thing than 
that would be unconsistent.  Not Dired style, and pretty useless.
For me its not a problem, because i use Dired+.  Other people are not as
lucky.